"""Module that updates the domain model of {term}`GSO`. Should contain all types of subscriptions."""
from orchestrator.domain import SUBSCRIPTION_MODEL_REGISTRY

from gso.products.product_types.device import Device
from gso.products.product_types.iptrunk import Iptrunk
from gso.products.product_types.site import Site

SUBSCRIPTION_MODEL_REGISTRY.update(
    {
        "Site": Site,
        "Router": Device,
        "Switch": Device,
        "Iptrunk": Iptrunk,
    }
)
